<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjBannerModel extends pjAppModel
{
	protected $primaryKey = 'id';

	protected $table = 'banners';

	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'type', 'type' => 'enum', 'default' => ':NULL'),
		array('name' => 'target', 'type' => 'enum', 'default' => ':NULL'),
		array('name' => 'status', 'type' => 'enum', 'default' => 'T')
	);

	protected $validate = array(
		'rules' => array(
			'type' => 'pjActionRequired',
			'status' => 'pjActionRequired'
		)
	);
	
	protected $i18n = array('alt', 'title', 'url', 'code', 'image');

	public static function factory($attr=array())
	{
		return new pjBannerModel($attr);
	}
}
?>